Retrieve object characteristics

GET /api/v1/stations/:id/characteristics

Returns the physical characteristics of a metering unit by its identifier.

Path parameters

id integer required

Metering unit identifier.

Response fields

AttributeDescription
idIdentifier (unique key) of the metering unit in the system
gas_boilerPresence of a gas boiler
gas_stovePresence of a gas stove
gas_water_heaterPresence of a gas water heater
resident_countNumber of residents (people)
heated_areaHeated area (m²)

Request

bash
curl -i \
  --header "access-token: *********************" \
  --header "token-type: Bearer" \
  --header "client: **********************" \
  --header "uid: user@local.net" \
  --header "Content-Type: application/json" \
  --request GET \
  "https://uztgs.uz/api/v1/stations/3318/characteristics"

Response

json
{
  "data": {
    "id": 3318,
    "gas_boiler": "false",
    "gas_stove": "false",
    "gas_water_heater": "true",
    "resident_count": "22",
    "heated_area": null
  }
}
Dernière mise à jour le

Cette page vous a-t-elle été utile ?